### Hierarchy

- RuleBuilderComponent

### Implements

- OnInit

## Index

### Inputs

- columnOperands
- columns
- tree

### Constructors

- constructor

### Properties

- columnOperands
- columns
- i18n
- tree

### Methods

- handleAddRule
- handleRemoveRule
- ngOnInit
- updateI18nTranslationString

## Constructors

### constructor

- new RuleBuilderComponent(i18n: I18n): RuleBuilderComponent

- - Defined in packages/angular/src/rule-builder/rule-builder.component.ts:70

  #### Parameters

  - ##### i18n: I18n

  #### Returns RuleBuilderComponent

## Properties

### columnOperands

@Input()
columnOperands: ListItem[] = ...

- Defined in packages/angular/src/rule-builder/rule-builder.component.ts:33

### columns

@Input()
columns: any[] = ...

- Defined in packages/angular/src/rule-builder/rule-builder.component.ts:32

### Protected i18n

i18n: I18n

### tree

@Input()
tree: any

- Defined in packages/angular/src/rule-builder/rule-builder.component.ts:70

Example Structure: { id: '14p5ho3pcu', groupLogic: 'all', rules: [ { id: 'rsiru4rjba', columnId: 'column2', operand: 'eq', value: '45', }, { id: 'i34imt0geh', groupLogic: 'any', rules: [ { id: 'ewc2z5kyfu', columnId: 'column2', operand: 'gtoet', value: '46', }, ], } ] }

## Methods

### handleAddRule

- handleAddRule(id: string, isGroup: any): void

- - Defined in packages/angular/src/rule-builder/rule-builder.component.ts:91

  #### Parameters

  - ##### id: string

  - ##### isGroup: any

  #### Returns void

### handleRemoveRule

- handleRemoveRule(id: string): void

- - Defined in packages/angular/src/rule-builder/rule-builder.component.ts:103

  #### Parameters

  - ##### id: string

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in packages/angular/src/rule-builder/rule-builder.component.ts:74

  #### Returns void

### updateI18nTranslationString

- updateI18nTranslationString(): void

- - Defined in packages/angular/src/rule-builder/rule-builder.component.ts:78

  #### Returns void

Generated using TypeDoc